#!/bin/sh
set -ev

test $DARCS || DARCS=$PWD/../darcs
rm -rf foo1 foo2
mkdir foo1 foo2
cd foo1
$DARCS init
echo zig > foo
$DARCS add foo
sleep 1
$DARCS record -a -m add_foo -A x
#sleep 1
echo zag >> foo
$DARCS record --ignore-time -a -m mod_foo -A x
cd ../foo2
$DARCS init
$DARCS pull -a ../foo1
cd ..
cmp foo1/foo foo2/foo
rm -rf foo1 foo2

